Page MenuHomePhabricator

Install debootstrap and fakechroot on tools
Closed, ResolvedPublic

Description

Please can the packages

  • debootstrap
  • fakeroot (already installed)
  • fakechroot

be installed on tool labs because I need them to create a chroot without root permissions.
I need to create a chroot because I need to install packages that are needed for my app. Thank you.

Event Timeline

Restricted Application added a project: Cloud-Services. · View Herald TranscriptJun 18 2016, 12:40 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald Transcript
chasemp triaged this task as Normal priority.Jun 21 2016, 1:31 PM
chasemp added a subscriber: chasemp.

can you outline a bit more what you are trying to do exactly?

My tools often need different packages to be installed, and sometimes these can be installed easily (binaries available to download) but often the only options for binaries is a custom apt repo, or compiling from source, which is very time consuming and doesn't always work. These packages would make it possible to make a chroot as a non root user, so packages can be installed inside the chroot with apt and can be used.

tom29739 renamed this task from Install debootstrap, fakechroot and fakeroot on tools to Install debootstrap and fakechroot on tools.Jun 22 2016, 10:40 AM
tom29739 updated the task description. (Show Details)

ran this by moritz and we are on the same page that this is sane. Thanks for explaining your reasoning @tom29739. I will merge this today or tomorrow when I can.

scfc claimed this task.Dec 4 2016, 8:20 PM
scfc moved this task from Triage to In Progress on the Toolforge board.
scfc closed this task as Resolved.Dec 5 2016, 3:49 AM
scfc reassigned this task from scfc to chasemp.
scfc added a subscriber: scfc.